Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 164106 - rsync returns error message when "--cvs-exclude" option is used
Summary: rsync returns error message when "--cvs-exclude" option is used
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rsync
Version: 4
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-24 23:50 UTC by Arthur Maciel
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-22 12:31:31 UTC
Type: ---


Attachments (Terms of Use)

Description Arthur Maciel 2005-07-24 23:50:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20050115

Description of problem:
I have routinely used "rsync" on Red Hat, FC3 and Sci Linux. 
Now, on Fedora core-4 (FC4), using same shell script as usual,
I cannot make rsync work when the option "--cvs-exclude" is 
present (all other options are OK). Here is the message I get;
----
filter rules are too modern for remote rsync.
rsync error: syntax or usage error (code 1) at exclude.c(1119)
----
Removing "--cvs-exclude" from options list recovers normal
behavior...

Version-Release number of selected component (if applicable):
rsync-2.5.7-5.3E

How reproducible:
Always

Steps to Reproduce:
1. To update image of local work area on a remote machine,
2.  I use the following shell script;

#!/bin/sh
##-----------------------------------------------------------------------
## USAGE:  ./toFNAL        -- for a dry run (-n)
##         ./toFNAL ok     -- for the real export
##-----------------------------------------------------------------------
## Setup local (source) and remote (target) directories

this_dir=`pwd`
here_dir="/work/maciel/bconf"
fnal_dir="maciel@myMachine.fnal.gov:/work/maciel"

echo "rsync driver dir = " $this_dir
echo "local (from) dir = " $here_dir
echo "archive (to) dir = " $fnal_dir

##-----------------------------------------------------------------------
## Make default a dry run (-n)

OPTION=-n
if [ x$1 = "xok" ];
  then echo unsetting OPTION
  unset OPTION
fi
echo \$OPTION=$OPTION
##-----------------------------------------------------------------------
## Now, run rsync

rsync $OPTION \
      --archive --progress --compress --update \
      --safe-links       --rsh="ssh -l maciel" \
      --cvs-exclude --exclude-from=$this_dir/rsync.ignore \
        $here_dir $fnal_dir | grep -v "ignoring unsafe" | egrep -v "/$"
##-----------------------------------------------------------------------

  

Actual Results:  FC4 output is;

filter rules are too modern for remote rsync.
rsync error: syntax or usage error (code 1) at exclude.c(1119)

Expected Results:  The very same script under FC3, RedHat(7 or 9) or Sci.Linux will simply
list all files that have been updated.

Removing "--cvs-exclude" from options list in the shell script recovers normal
behavior...

Additional info:

Comment 1 Wayne Davison 2005-08-15 22:07:48 UTC
This bug was fixed in the rsync 2.6.5 codebase.

Comment 2 Christian Iseli 2007-01-22 10:48:02 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.


Note You need to log in before you can comment on or make changes to this bug.